Bug 840792 - Activation key delete displays error
Activation key delete displays error
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Adam Price
Tazim Kolhar
: Triaged
Depends On:
Blocks: 860705
  Show dependency treegraph
 
Reported: 2012-07-17 04:46 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 860705 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:16:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Activation key delete (103.87 KB, image/png)
2012-07-17 04:46 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-07-17 04:46:57 EDT
Created attachment 598587 [details]
Activation key delete

Description of problem:
A system is registered using the activation key. deleting 
that activation key displays unknown error
The error should be user friendly stating the reason
for not being deleted
Version-Release number of selected component (if applicable):
[root@nec-em9 ~]# rpm -qa | grep katello
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.30-1.fc16.noarch
katello-headpin-all-0.2.24-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-cli-common-0.2.43-1.fc16.noarch
katello-glue-candlepin-0.2.45-1.fc16.noarch
katello-cli-headpin-0.1.19-1.fc16.noarch
katello-headpin-0.2.24-1.fc16.noarch
katello-common-0.2.45-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch


How reproducible:
yum install -y katello-headpin-all
katello-configure --deployment=sam

Steps to Reproduce:
1.Login to SAM WEB UI
2.Navigate to Content Tab 
3.select Activation key
4.Create a activation key
5.register a system using that activation key 
6.Remove that key

  
Actual results:
Activation key cannot be deleted
The error is not user friendly

Expected results:
Appropriate error should be displayed
to specify the reason for not deleting the key

Additional info:
screen shot attached
Comment 1 Adam Price 2012-09-27 13:25:42 EDT
Tazim,

Can you please check and see if this issue is still occurring? If it is, could I get some more specific instructions on how to reproduce the bug? Thanks. Currently, I'm unable to reproduce this issue.
Comment 2 Adam Price 2012-10-08 10:21:25 EDT
in an email sent from Tazim:

Verified with the packages:
   
   [root@dell-pesc1425-01 ~]# rpm -qa | grep katello-cli
   katello-cli-common-1.1.9-1.git.6.8db32c1.el6.noarch
   katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch
  
   The activation key can be deleted successfully with appropriate error.
  
   Please, update the bug status accordingly to ON_QA so that I can verify and close it.
Comment 4 Tazim Kolhar 2012-10-10 01:53:46 EDT
VERIFIED with the packages:

# rpm -qa | grep katello
katello-configure-1.1.11-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1h.el6_3.noarch
katello-glue-candlepin-1.1.14-2h.el6_3.noarch
katello-cli-common-1.1.10-1h.el6_3.noarch
katello-selinux-1.1.2-1h.el6_3.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-headpin-1.1.14-2h.el6_3.noarch
katello-common-1.1.14-2h.el6_3.noarch
katello-headpin-all-1.1.14-2h.el6_3.noarch



Steps used to verify :
1. login to SAM WEBUI
2. Navigate to Content Tab -> Activation Key
3. Create a key with name 'act_key'
4. Register a system with the key :
   # subscription-manager register --name localhost1234 --org ACME_Corporation  --activationkey act_key --autosubscribe --force

 The system has been registered with id: 87242894-7624-419c-a603-d7e836244abf 
 Installed Product Current Status:

 ProductName:         	Red Hat Enterprise Linux Server
 Status:               	Not Subscribed     

5. Delete the key via SAM WEB UI

6. The key is deleted successfully with appropriate errors
Comment 6 errata-xmlrpc 2013-02-21 14:16:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.